Skip to main content

Events

GET /hooks/subscribe​

Subscribe to real-time events via Server-Sent Events (SSE)

Opens a persistent SSE connection for the specified event type. Supported event types: hooks (all Foundry hooks), combat, actor, scene.

Required scope: events:subscribe

Parameters​

NameTypeRequiredSourceDescription
clientIdstringqueryClient ID for the Foundry world
hooksstringqueryComma-separated hook names to filter (hooks type only)
encounterIdstringqueryFilter by encounter ID (combat type only)
actorUuidstringqueryActor UUID to subscribe to (actor type, required)
sceneIdstringqueryScene ID to filter (scene type only)

Returns​

SSE stream - SSE event stream

Try It Out​


GET /encounters/subscribe​

Subscribe to real-time events via Server-Sent Events (SSE)

Opens a persistent SSE connection for the specified event type. Supported event types: hooks (all Foundry hooks), combat, actor, scene.

Required scope: events:subscribe

Parameters​

NameTypeRequiredSourceDescription
clientIdstringqueryClient ID for the Foundry world
hooksstringqueryComma-separated hook names to filter (hooks type only)
encounterIdstringqueryFilter by encounter ID (combat type only)
actorUuidstringqueryActor UUID to subscribe to (actor type, required)
sceneIdstringqueryScene ID to filter (scene type only)

Returns​

SSE stream - SSE event stream

Try It Out​


GET /actor/subscribe​

Subscribe to real-time events via Server-Sent Events (SSE)

Opens a persistent SSE connection for the specified event type. Supported event types: hooks (all Foundry hooks), combat, actor, scene.

Required scope: events:subscribe

Parameters​

NameTypeRequiredSourceDescription
clientIdstringqueryClient ID for the Foundry world
hooksstringqueryComma-separated hook names to filter (hooks type only)
encounterIdstringqueryFilter by encounter ID (combat type only)
actorUuidstringqueryActor UUID to subscribe to (actor type, required)
sceneIdstringqueryScene ID to filter (scene type only)

Returns​

SSE stream - SSE event stream

Try It Out​


GET /scene/subscribe​

Subscribe to real-time events via Server-Sent Events (SSE)

Opens a persistent SSE connection for the specified event type. Supported event types: hooks (all Foundry hooks), combat, actor, scene.

Required scope: events:subscribe

Parameters​

NameTypeRequiredSourceDescription
clientIdstringqueryClient ID for the Foundry world
hooksstringqueryComma-separated hook names to filter (hooks type only)
encounterIdstringqueryFilter by encounter ID (combat type only)
actorUuidstringqueryActor UUID to subscribe to (actor type, required)
sceneIdstringqueryScene ID to filter (scene type only)

Returns​

SSE stream - SSE event stream

Try It Out​